Bug 589351 - New feature: update or add necessary information for new password obfuscation in the config file
New feature: update or add necessary information for new password obfuscation...
Status: CLOSED CURRENTRELEASE
Product: RHQ Project
Classification: Other
Component: Documentation (Show other bugs)
unspecified
All Linux
low Severity medium (vote)
: ---
: ---
Assigned To: Deon Ballard
ecs-bugs
:
Depends On:
Blocks: 577033
  Show dependency treegraph
 
Reported: 2010-05-05 18:34 EDT by Deon Ballard
Modified: 2011-11-28 12:49 EST (History)
1 user (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2011-11-28 12:49:08 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
password obfuscation excerpts (19.46 KB, application/vnd.oasis.opendocument.text)
2010-05-18 18:42 EDT, Deon Ballard
no flags Details
Commented version (17.92 KB, application/vnd.oasis.opendocument.text)
2010-05-20 05:40 EDT, Heiko W. Rupp
no flags Details

  None (edit)
Description Deon Ballard 2010-05-05 18:34:23 EDT
The database password is now hashed in the rhq-server.properties file. A couple of things need to be noted:
* The server properties table in the admin guide has to note that.
* A section must be added to the admin guide for updating the file when the db password is changed.
* There should be a mention in the migration docs.
* It should be listed as a new feature in the release notes.
Comment 2 Deon Ballard 2010-05-18 18:42:40 EDT
Created attachment 414979 [details]
password obfuscation excerpts

The tech review process is easy:

1. Download the attached OpenOffice doc.

2. Make sure that Edit > Changes > Record is selected. (I should have this set to track changes, but make sure in case I forgot.)

3. Read through the file and mark any changes (correct anything that's wrong, add missing information, delete outdated stuff, etc.).

4. When you're done editing, upload the edited OO doc and re-assign to me (dlackey).   

The HTML links in the previous comment show what the real, official docs look like, if you prefer that version. I can also make a PDF.

Changing status to ON_DEV and assigning to the dev queue for review. 

Note:
I don't spell-check anything till the end. So there are probably a lot of typos. Also, I haven't done any screenshots or illustrations yet, but they will be coming.
Comment 3 Deon Ballard 2010-05-19 18:32:07 EDT
Reassigning to Heiko.
Comment 4 Heiko W. Rupp 2010-05-20 05:40:45 EDT
Created attachment 415364 [details]
Commented version
Comment 7 lcarlon 2010-11-11 01:12:17 EST
Fixed in 2.4:

JBoss_Operations_Network-Basic_Admin_Guide-2.4-web-en-US-0.3-5.el5

Note You need to log in before you can comment on or make changes to this bug.